> ## Documentation Index
> Fetch the complete documentation index at: https://docs.moonemail.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> List team API key metadata.

Required permission: `api_keys:manage`.



## OpenAPI

````yaml /openapi.json get /api-keys
openapi: 3.1.0
info:
  title: Moonemail API
  version: 0.1.0
  description: >-
    Generated request, response and authorization contract. Covers authenticated
    product endpoints, not public discovery, dashboard assets or Stripe inbound
    webhooks. Go handlers enforce state-dependent and cross-field business
    validation.
servers:
  - url: https://api.moonemail.co
security: []
paths:
  /api-keys:
    get:
      tags:
        - API keys
      summary: List API keys
      description: |-
        List team API key metadata.

        Required permission: `api_keys:manage`.
      operationId: list_api_keys
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    const: list
                  has_more:
                    type: boolean
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        object:
                          type: string
                          const: api_key
                        id:
                          type: string
                        name:
                          type: string
                        permission:
                          type: string
                          enum:
                            - full_access
                            - sending_access
                            - scoped_access
                        scopes:
                          type: array
                          items:
                            type: string
                            enum:
                              - inboxes:read
                              - inboxes:write
                              - receiving:read
                              - emails:send
                              - emails:read
                              - emails:update
                              - domains:read
                              - domains:write
                              - domains:delete
                              - webhooks:read
                              - webhooks:write
                              - webhooks:delete
                              - suppressions:read
                              - suppressions:write
                              - suppressions:delete
                        domain_id:
                          type:
                            - string
                            - 'null'
                        hint:
                          type: string
                        created_at:
                          type: string
                        last_used_at:
                          type:
                            - string
                            - 'null'
                        expires_at:
                          type:
                            - string
                            - 'null'
                      required:
                        - object
                        - id
                        - name
                        - permission
                        - domain_id
                        - hint
                        - created_at
                        - last_used_at
                        - expires_at
                      additionalProperties: true
                required:
                  - object
                  - has_more
                  - data
                additionalProperties: true
        default:
          description: API error
          content:
            application/json:
              schema:
                type: object
                required:
                  - statusCode
                  - name
                  - message
                properties:
                  statusCode:
                    type: integer
                  name:
                    type: string
                  message:
                    type: string
      security:
        - bearerKey: []
components:
  securitySchemes:
    bearerKey:
      type: http
      scheme: bearer
      description: Moonemail API key; x-required-scope applies.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.